#ifndef FORMATS_H
#define FORMATS_H

#include <QString>
#include <QStringList>
#include <QObject>
#include <QMap>
#include <Magick++.h>
#include <string>
#include <iostream>

class Formats : public QObject
{
    Q_OBJECT
public:
    static void loadFormats();

    static QString readableFiltersString();
    static QStringList readableFilters();
    static QStringList writableFilters();
    static QStringList nativeReadableFormats();
    static bool isNativeReadable(QString fileName);

private:
    static QString s_readableFiltersString;
    static QStringList s_readableFilters;
    static QStringList s_writableFilters;
    static QStringList sortNonCaseSensitive(QStringList list);

signals:

public slots:

};

#endif // FORMATS_H
