#include "imageinformations.h"
#include <QPixmap>
#include "formats.h"

ImageInformations::ImageInformations(QString fileName)
{
    m_width = 0;
    m_height = 0;

    m_resX = 0.0;
    m_resY = 0.0;

    bool native = false;

    if (Formats::isNativeReadable(fileName)) {
        native = true;

        QPixmap pix(fileName);
        m_width = pix.width();
        m_height = pix.height();
    }

    Image my_image;

    try {
        my_image.read(fileName.toStdString());

        m_resX = my_image.xResolution();
        m_resY = my_image.yResolution();

        if (native) {
            m_width = my_image.columns();
            m_height = my_image.rows();
        }
    }
    catch(Exception &error_)
    {

    }

}

int ImageInformations::imageWidth()
{
    return m_width;
}

int ImageInformations::imageHeight()
{
    return m_height;
}

double ImageInformations::x_Resolution()
{
    return m_resX;
}

double ImageInformations::y_Resolution()
{
    return m_resX;
}
