#include <QMovie>
#include <QPixmapCache>
#include "mylabelpreviewer.h"
#include "formats.h"

myLabelPreviewer::myLabelPreviewer(QWidget *parent) : QLabel(parent)
{
    thumbGen = new ThumbnailGeneratorThread(this);

    connect(thumbGen, SIGNAL(pixmapGenerated(QImage)), this, SLOT(showPreview(QImage)));

    setText("No preview!");
}

void myLabelPreviewer::loadPreview(QString fileName)
{
    key = fileName;

    if (!QPixmapCache::find(key, m_pixmap)) {
        showLoadingAnimation();
        thumbGen->setFileName(fileName);
        thumbGen->start();
    }
    else
        this->setPixmap(m_pixmap);
}

void myLabelPreviewer::showPreview(QImage image)
{
    m_pixmap = QPixmap::fromImage(image);
    QPixmapCache::insert(key, m_pixmap);

    this->setPixmap(m_pixmap);
}

void myLabelPreviewer::showLoadingAnimation()
{
    QMovie *movie = new QMovie;
    movie->setFileName(":/movies/res/loading.gif");

    setMovie(movie);
    movie->start();
}
